Eclipse Platform Release 3.7

## org.eclipse.core.runtime.spi
Interface IDynamicExtensionRegistry

    public interface IDynamicExtensionRegistry

This interface provides an extra degree of access to an extension registry that might be useful to registry implementers.

At this time functionality available through this interface is not intended to be used with the default Eclipse extension registry.

Note: This class/interface is part of an interim SPI that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this SPI will almost certainly be broken (repeatedly) as the SPI evolves.

This interface is not intended to be extended by clients.

This interface should not be implemented by clients.

This interface can be used without OSGi running.

Since:
  3.4
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Method Summary
`IContributor[]` `getAllContributors()` Returns all contributors associated with the registry at this time.
`boolean` `hasContributor(IContributor contributor)` Finds out if registry has the contributor.
`void` `removeContributor(IContributor contributor, Object key)` Removes all extensions and extension points provided by the contributor.

Method Detail

### removeContributor

    void removeContributor(IContributor contributor,
                           Object key)

  Removes all extensions and extension points provided by the contributor.

  This method is an access controlled method. Access tokens are specified when the registry is constructed by the registry implementers.

  Parameters:
    `contributor` - the contributor to be removed
    `key` - registry access key
  See Also:
    `RegistryFactory.createRegistry(RegistryStrategy, Object, Object)`

### hasContributor

    boolean hasContributor(IContributor contributor)

  Finds out if registry has the contributor.

  Parameters:
    `contributor` - registry contributor
  Returns:
    true if the registry has this contributor; false otherwise

### getAllContributors

    IContributor[] getAllContributors()

  Returns all contributors associated with the registry at this time.

  Returns:
    all contributors associated with the registry

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.